<?php

namespace App\Policies;

use App\Models\MealPostIngredients;
use App\Models\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class MealPostIngredientsPolicy
{
    use HandlesAuthorization;

    public function viewAny(User $user): bool
    {
        return true;

    }

    public function view(User $user, MealPostIngredients $mealPostIngredients): bool
    {
        return true;
    }

    public function create(User $user): bool
    {
        return true;
    }

    public function update(User $user, MealPostIngredients $mealPostIngredients): bool
    {
        return true;
    }

    public function delete(User $user, MealPostIngredients $mealPostIngredients): bool
    {
        return true;
    }

    public function restore(User $user, MealPostIngredients $mealPostIngredients): bool
    {
        return true;
    }

    public function forceDelete(User $user, MealPostIngredients $mealPostIngredients): bool
    {
        return true;
    }
}
